# Uses of Interface
org.apache.lucene.analysis.ja.dict.JaMorphData

Packages that use JaMorphData
Package
Description
org.apache.lucene.analysis.ja
Analyzer for Japanese.

- ## Uses of JaMorphData in org.apache.lucene.analysis.ja

  Method parameters in org.apache.lucene.analysis.ja with type arguments of type JaMorphData
  Modifier and Type
  Method
  Description
  `void`
  JapaneseTokenizer.`setGraphvizFormatter(GraphvizFormatter<JaMorphData> dotOut)`
  Expert: set this to produce graphviz (dot) output of the Viterbi lattice
  Constructors in org.apache.lucene.analysis.ja with parameters of type JaMorphData
  Modifier
  Constructor
  Description
  ``
  `Token(char[] surfaceForm, int offset, int length, int startOffset, int endOffset, int morphId, TokenType type, JaMorphData morphData)`